org.hibernate.search.query.dsl

## Interface FieldCustomization<T>

- Type Parameters:
    `T` - the type of customization required for the field
  All Known Subinterfaces:
    MoreLikeThisOpenedMatchingContext, PhraseMatchingContext, RangeMatchingContext, TermMatchingContext
  All Known Implementing Classes:
    ConnectedMoreLikeThisMatchingContext, ConnectedPhraseMatchingContext, ConnectedRangeMatchingContext, ConnectedTermMatchingContext

      public interface FieldCustomization<T>

  Author:
    Emmanuel Bernard

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `boostedTo(float boost)` Boost the field to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
    `T` | `ignoreAnalyzer()` Advanced Do not execute the analyzer on the text.
    `T` | `ignoreFieldBridge()` Do not try and find the field bridge nor apply the object / string conversion matching objects should be of type String in this case.

- - ### Method Detail

    - #### boostedTo

          T boostedTo(float boost)

      Boost the field to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
      Parameters:
        `boost` - the boost value, it can be negative (advance)
      Returns:
        an instance of T for method chaining

    - #### ignoreAnalyzer

          T ignoreAnalyzer()

      Advanced Do not execute the analyzer on the text. (It is usually a good idea to apply the analyzer)
      Returns:
        an instance of T for method chaining

    - #### ignoreFieldBridge

          T ignoreFieldBridge()

      Do not try and find the field bridge nor apply the object / string conversion matching objects should be of type String in this case.
      Returns:
        an instance of T for method chaining

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved